> ## Documentation Index
> Fetch the complete documentation index at: https://doc.va777.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bet record detail

> Get bet record detail: request parameters, response format and response codes.

> [!NOTE]
>
> * Queries the bet time and game result of the specified bet.

## Path

```text theme={null}
GET {host}/vendor/v2.0/betlog/detail
```

## Headers

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="56%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`Authorization`</td><td>string</td><td>Yes</td><td>Token we provide</td></tr>
  </tbody>
</table>

## Request parameters

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="11%" />

    <col width="45%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Signed</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`betID`</td><td>string</td><td>Yes</td><td>✓</td><td>Bet ID (allowed characters: `a-z A-Z 0-9 _-`)</td></tr>
    <tr><td>`betTime`</td><td>string</td><td>Yes</td><td>✓</td><td>Bet time (see [Time format](https://doc.va777.net/en/v2/guides/request-format.md#time-format))</td></tr>
    <tr><td>`lang`</td><td>string</td><td>Yes</td><td>✓</td><td>Game language (see [Languages](https://doc.va777.net/en/v2/reference/languages.md); defaults to en-US)</td></tr>
    <tr><td>`sign`</td><td>string</td><td>Yes</td><td /><td>Signature. See [Signature](https://doc.va777.net/en/v2/guides/signature.md) for how to generate it</td></tr>
  </tbody>
</table>

## Response

Success (the HTTP status code is always 200; check `status.code` for the result)

<table>
  <colgroup>
    <col width="34%" />

    <col width="12%" />

    <col width="54%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`data`</td><td>object</td><td /></tr>
    <tr><td>`data.betID`</td><td>string</td><td>Bet ID</td></tr>
    <tr><td>`data.wagersID`</td><td>number</td><td>Wagers ID</td></tr>
    <tr><td>`data.betTime`</td><td>string</td><td>Bet time (see [Time format](https://doc.va777.net/en/v2/guides/request-format.md#time-format))</td></tr>
    <tr><td>`data.createTime`</td><td>string</td><td>Record creation time (see [Time format](https://doc.va777.net/en/v2/guides/request-format.md#time-format))</td></tr>
    <tr><td>`data.url`</td><td>string</td><td>Link to the bet detail page</td></tr>
    <tr><td>`status`</td><td>object</td><td>Response status. See [Response format](https://doc.va777.net/en/v2/guides/request-format.md#response-format)</td></tr>
  </tbody>
</table>

### Response example

```json theme={null}
{
  "data": {
    "betID": "91531545415",
    "wagersID": 91531545415,
    "betTime": "2022-06-16T22:54:29.649+08:00",
    "createTime": "2022-06-16T22:54:29.649+08:00",
    "url": "http://xxx.xxx.xxx/xxx/xxx?xx=xx&xx=xx"
  },
  "status": {
    "code": "0",
    "message": "success",
    "datetime": "2022-07-01T10:13:54.920+08:00",
    "traceCode": "7cf25e1957cc47fe8e01f1a7c6d504d6"
  }
}
```

## Response codes

Besides the [common codes](https://doc.va777.net/en/v2/reference/response-codes.md), this API may also return:

| Code | Description |
| - | - |
| `206` | Game does not exist |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.